import { DEFAULT_LAYOUT } from '../base';
import { AppRouteRecordRaw } from '../types';

const agent: AppRouteRecordRaw = {
  path: '/agent',
  name: 'agent',
  component: DEFAULT_LAYOUT,
  meta: {
    locale: 'Agent',
    requiresAuth: true,
    icon: 'icon-robot',
    order: 3.5,
    hideInMenu: false,
  },
  children: [
    {
      path: '/agent',
      name: 'agent',
      component: () => import('@/views/agent/resource/index.vue'),
      meta: {
        requiresAuth: true,
        hideInMenu: true,
        roles: ['*'],
      },
    },
  ],
  //   children:[
  //     {
  //         path: '/model',
  //         name: 'model',
  //         component: () => import('@/views/dmx/model/index.vue'),
  //         meta: {
  //             requiresAuth: true,
  //             hideInMenu:true,
  //             roles: ['*'],
  //         },
  //     },
  // ]
};

export default agent;
